Bug 497875 - Avoid entering empty Login to open a telnet/ssh session
Avoid entering empty Login to open a telnet/ssh session
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: util-linux-ng (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 13:05 EDT by Rabie K
Modified: 2010-01-06 05:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-06 05:56:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rabie K 2009-04-27 13:05:29 EDT
Description of problem:

If user telnet to remote host and doesn't provide a login name, just hit answer, password string with prompt instead of login again 



Version-Release : Linux 2.6.27.19-170.2.35.fc10.x86_64 #1 SMP Mon Feb 23 13:00:23 EST 2009 x86_64 x86_64 x86_64 GNU/Linux

if the login: answer is blank(just return)

************FreeBSD response to enter *********
FreeBSD/i386 (ttyp0)

login:
login:
login:
login:
login:


*********Fedora response to enter *********
Fedora release 10 (Cambridge)
Kernel 2.6.27.19-170.2.35.fc10.x86_64 on an x86_64 (1)
login:
Password:
Login incorrect

login:
Password:
Login incorrect
Comment 1 Bug Zapper 2009-11-18 07:51:02 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:22:10 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Adam Tkac 2009-12-21 03:23:39 EST
This problem still exists, reopening.
Comment 4 Adam Tkac 2010-01-06 04:41:48 EST
After inspection (thanks to Jan Gorig) problem is in the /bin/login utility. Telnet uses it for user authentication.

Fedora /bin/login behavior:

$ login 
login:    
Password: 

Login incorrect

BSD login behavior:

$ login
login:
login:


Reassigning to util-linux-ng for further inspection.
Comment 5 Karel Zak 2010-01-06 05:56:55 EST
The username is optional. For example PAM is able read username from some external source (e.g. smartcard). The login(1) cares about complete authentication only.

Closing.

Note You need to log in before you can comment on or make changes to this bug.